Cloud Alerts
Get alert
get
/triggers/{trigger_id}View a single Cloud Alert, including its condition, target, and actions.
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Path parameters
trigger_id*string
Responses
Successful Response
application/json
id*string
project_id*integer
name*string
description*string | null
target_type*TriggerTargetType
Value in
"vps""baremetal""availability_group""object_storage_bucket""organization"target_id*string
target_name?string | null
metric_type*TriggerMetricType
Value in
"cpu""ram""disk""network_in""network_out""storage_size_gb""storage_egress_gb_month""storage_error_rate_5xx""storage_error_rate_403""storage_cost_month"operator*TriggerOperator
Value in
"gt""lt""gte""lte""eq"threshold*number
duration_seconds*integer
cooldown_seconds*integer
status*TriggerStatus
Value in
"enabled""disabled""triggered""resolved"last_triggered_at*string | null
Format
date-timelast_resolved_at*string | null
Format
date-timecreated_at*string
Format
date-timeupdated_at*string
Format
date-timeactions?array<TriggerActionOut>
Properties (7)
id*string
action_type*TriggerActionType
Value in
"notify""destroy_vps""create_vps"notificator_id*string | null
config*record<string, any> | null
order*integer
enabled*boolean
created_at*string
Format
date-time